From 0900e0dc2b67d61287ea307de255ae24ba2625a1 Mon Sep 17 00:00:00 2001
From: Matthias van de Meent <boekewurm+postgres@gmail.com>
Date: Wed, 9 Oct 2024 14:27:38 +0200
Subject: [PATCH v1] Use MAX_PARALLEL_WORKER_LIMIT consistently

The discrepancy was introduced back when 9da0cc35 was originally
committed, as that patch's changes here predate the introduction of
MAX_PARALLEL_WORKER_LIMIT in 6599c9ac.
---
 src/backend/utils/misc/guc_tables.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/utils/misc/guc_tables.c b/src/backend/utils/misc/guc_tables.c
index 686309db58..2c4cc8cd41 100644
--- a/src/backend/utils/misc/guc_tables.c
+++ b/src/backend/utils/misc/guc_tables.c
@@ -3463,7 +3463,7 @@ struct config_int ConfigureNamesInt[] =
 			NULL
 		},
 		&max_parallel_maintenance_workers,
-		2, 0, 1024,
+		2, 0, MAX_PARALLEL_WORKER_LIMIT,
 		NULL, NULL, NULL
 	},
 
-- 
2.40.1

